Subject: Re: Permissions

From: John Goerzen <[email-masked]>
Date: Wed, 11 Mar 2026 11:30:27 -0500

On Wed, Mar 11 2026, Hadmut Danisch wrote:

> So what is the user nncp and /var/spool/nncp good for, if no one could ever use
> it by design?

I guess I should say, I do use this on every installation of mine.  My
typical laptop setup is to have the systemwide installation there, have
it dump incoming files into a directory I have access to as my regular
user, restrict nncp.hjson to just the nncp user, and use sudo from my
regular user account to call nncp utilities, as documented before.

For incoming nncp-exec packets, I use sudo in nncp.hjson to process them
as whatever user is appropriate.

- John